rs232.c File Reference

library for RS-232 communication (code) More...

Go to the source code of this file.

## Macros

#define | RS232_USART 2
| USART peripheral.
#define | RS232_EN_PORT B
| RS-232 pin to enable receiver (active low, pulled up)
#define | RS232_EN_PIN 5
| RS-232 pin to enable receiver (active low, pulled up)
#define | RS232_SHDN_PORT C
| RS-232 pin to enable transmitter (active high, pulled low)
#define | RS232_SHDN_PIN 15
| RS-232 pin to enable transmitter (active high, pulled low)
#define | RS232_RTS_PORT A
#define | RS232_RTS_PIN 1
#define | RS232_CTS_PORT A
#define | RS232_CTS_PIN 0
#define | RS232_BAUDRATE 1200
| serial baudrate, in bits per second (with 8N1 8 bits, no parity bit, 1 stop bit settings)

## Functions

void | rs232_setup (void)
| transmit and receive buffer sizes More...

## Detailed Description

library for RS-232 communication (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2017

Note
  peripherals used: USART USART peripheral used for RS-232 communication, GPIO GPIO pins used to control RS-232 communication

Definition in file rs232.c.

## Function Documentation

## rs232_setup()

void rs232_setup | ( | void |  | ) |

transmit and receive buffer sizes

how many bytes available in the received buffer since last read setup RS-232 peripheral

Definition at line 70 of file rs232.c.